@charset "utf-8";
@import 'styles.css';

/* CSS Document */

@font-face {
    font-family: 'GothamBold';
    src: url('../fonts/GothamBold.eot');
    src: url('../fonts/GothamBold.eot?#iefix') format('embedded-opentype'), url('../fonts/GothamBold.woff2') format('woff2'), url('../fonts/GothamBold.woff') format('woff'), url('../fonts/GothamBold.ttf') format('truetype'), url('../fonts/GothamBold.svg#GothamBold') format('svg');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'IbarraReal';
    src: url('../fonts/IbarraReal-Bold.eot');
    src: url('../fonts/IbarraReal-Bold.eot?#iefix') format('embedded-opentype'), url('../fonts/IbarraReal-Bold.woff2') format('woff2'), url('../fonts/IbarraReal-Bold.woff') format('woff'), url('../fonts/IbarraReal-Bold.ttf') format('truetype'), url('../fonts/IbarraReal-Bold.svg#IbarraReal-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'GothamBook';
    src: url('../fonts/GothamBook.eot');
    src: url('../fonts/GothamBook.woff2') format('woff2'), url('../fonts/GothamBook.eot?#iefix') format('embedded-opentype'), url('../fonts/GothamBook.woff') format('woff'), url('../fonts/GothamBook.ttf') format('truetype'), url('../fonts/GothamBook.svg#GothamBook') format('svg');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'GothamBook', sans-serif;
    webkit-font-smoothing: antialiased;
    -webkit-text-stroke-width: 0.2px;
    -moz-osx-font-smoothing: grayscale;
    color: #3a3a38;
    background-color: #eceae6;
}

a,
a:visited {
    color: #c8c3ba;
    text-decoration: underline;
}

a:hover {
    color: #000;
}

header {
    margin-top: 6em;
}

main {
    background-color: #fff;
}

.btn-ap-neg {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -moz-osx-font-smoothing: grayscale;
    position: relative;
    background: #3a3a38;
    -webkit-transition-property: color;
    transition-property: color;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    height: 38px;
    padding: 0 30px;
    color: #fff !important;
    text-align: center;
    font-size: 1rem;
    line-height: 38px;
    letter-spacing: .1rem;
    text-transform: uppercase;
    text-decoration: none !important;
    white-space: nowrap;
    background-color: #3c3c3b;
    border-radius: 4px;
    border: 0px solid #3c3c3b;
    cursor: pointer;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.btn-ap-neg:hover,
.btn-ap-neg:focus,
.btn-ap-neg:active {
    color: #fff;
    background: #3a3a38;
}

.btn-ap-neg:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: #c8c3ba;
    border-radius: 4px;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transform-origin: 50%;
    transform-origin: 50%;
    -webkit-transition-property: transform;
    -webkit-transition-property: -webkit-transform;
    transition-property: -webkit-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.btn-ap-neg:hover:before,
.btn-ap-neg:focus:before,
.btn-ap-neg:active:before {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
}

.logo-marca {
    background-image: url(../imgs/logo-alhambra.svg);
    width: 178px;
    height: 62px;
    position: absolute;
    top: 7px;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.logo-marca.derecha {
    right: 30px;
}

.logo-marca.izquierda {
    left: 30px;
}

.logo-marca.centro {
    right: calc(50% - 89px);
}


/* CONTENEDORES */

.contenedor {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    padding-left: 0 !important;
    padding-right: 0 !important;
    color: #1c4b95;
}

.contenedor {
    background-size: cover;
    height: 450px;
    width: 100%;
    background-position: center;
}

.contenedor a:hover,
.contenedor a:active,
.contenedor a:focus {
    text-decoration: none;
}

.contenedor.derecha {
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.contenedor.centro {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -ms-grid-row-align: center;
    align-items: center;
}

.contenedor.abajo {
    -webkit-box-align: end;
    -ms-flex-align: end;
    -ms-grid-row-align: flex-end;
    align-items: flex-end;
}

.contenedor .caption {
    width: 70%;
    height: auto;
    padding: 2em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -ms-grid-row-align: center;
    align-items: center;
    color: #fff;
    text-shadow: 0 0 10px rgba(0, 0, 0, .50);
}

.contenedor .caption .titulo {
    font-size: 3.7em;
    font-family: 'IbarraReal', sans-serif;
}

.contenedor .caption .subtitulo {
    font-size: 1em;
}


/* /CONTENEDORES */


/*input[type="text"] {
    background-color: transparent;
    border: 0;
    box-shadow: none;
    padding: 0px 12px;
    border-bottom: #fff solid 1px;
    border-radius: 0;
    color: #fff;
}*/


/* FORMS */

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    -webkit-text-fill-color: #333 !important;
    -webkit-box-shadow: 0 0 0px 1000px rgba(255, 255, 255, 0.2) inset !important;
    -webkit-transition: background-color 5000s ease-in-out 0s !important;
    transition: background-color 5000s ease-in-out 0s !important;
}

.form-group input,
.form-group textarea {
    padding: 0.125em 0.125em 0.0625em;
    font-size: 1.5em;
}

.form-group .control-label {
    color: #333;
    font-size: 1.3em;
    -webkit-transition: all 0.8s ease;
    transition: all 0.8s ease;
}

.form-group .bar {
    border-bottom: 0.0625em solid #333;
}

.form-group .bar::before {
    background: #c8c3ba;
    height: 0.125em;
    bottom: -0.0925em;
    -webkit-transition: left 0.8s ease, width 0.8s ease;
    transition: left 0.8s ease, width 0.8s ease;
}

.form-group select ~ .control-label,
.form-group input:focus ~ .control-label,
.form-group input:not(:placeholder-shown) ~ .control-label,
.form-group input.form-file ~ .control-label,
.form-group input.has-value ~ .control-label,
.form-group textarea:focus ~ .control-label,
.form-group textarea:not(:placeholder-shown) ~ .control-label,
.form-group textarea.form-file ~ .control-label,
.form-group textarea.has-value ~ .control-label {
    font-size: 1em;
    color: #333;
}

.form-group select:focus ~ .control-label,
.form-group input:focus ~ .control-label,
.form-group textarea:focus ~ .control-label {
    color: #c8c3ba;
}

.form-group select,
.form-group input:focus,
.form-group input:not(:placeholder-shown),
.form-group input.form-file,
.form-group input.has-value,
.form-group textarea:focus,
.form-group textarea:not(:placeholder-shown),
.form-group textarea.form-file,
.form-group textarea.has-value {
    color: #333;
}

.checkbox label,
.form-radio label {
    color: #333;
}

.checkbox input:checked ~ .helper,
.checkbox label:hover .helper {
    color: #c8c3ba;
}

.checkbox .helper {
    color: #333;
    width: 1.2em;
    height: 1.2em;
    -webkit-transition: border-color 0.8s ease;
    transition: border-color 0.8s ease;
}

.checkbox input:checked ~ .helper::before {
    height: 1.3em;
}

.checkbox .helper::before {
    top: 0.85em;
    left: 0.48em;
    -webkit-transform: rotate(-135deg);
    transform: rotate(-135deg);
    -webkit-box-shadow: 0 0 0 0.09em #c8c3ba;
    box-shadow: 0 0 0 0.09em #c8c3ba;
}

.checkbox .helper::before,
.checkbox .helper::after {
    background-color: #c8c3ba;
}

.checkbox .helper::after {
    top: 0.5em;
    left: 0.05em;
}

.radio .helper {
    font-size: 1.2em;
    color: #fff;
}

.radio label:hover .helper,
.radio input:checked ~ .helper::before {
    color: #c8c3ba;
}

.radio .helper::after {
    background-color: #c8c3ba;
    border-color: #c8c3ba;
}

.form-group select {
    font-size: 1.5em;
    height: 2em;
}


/* /FORMS */


/* MODAL FILTRO */

.modal-body {
    color: #3a3a38;
    text-align: center;
    /*padding: 0px !important;*/
    padding: 25px;
    border-radius: 19px;
}

.modal-body .logo-header {
    background-color: #eceae6;
    margin: -30px -25px;
    border-top-left-radius: 19px;
    border-top-right-radius: 19px;
    padding: 1.5em;
}

.modal-body .logo-filtro {
    background-image: url(../imgs/logo-alhambra.svg);
    width: 178px;
    height: 62px;
    margin: 5px auto;
    background-size: cover;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.modal-body .titulo {
    font-size: 2em;
    font-family: 'GothamBold', sans-serif;
    margin-top: .5em;
    text-transform: uppercase;
}

.modal-body .contenido-filtro .titulo {
    background-color: #eceae6;
    margin-left: -25px;
    margin-right: -25px;
    margin-bottom: 1em;
    padding: 1.5em .5em 1em .5em;
}

.modal-body a,
.modal-body a:hover {
    color: #3a3a38;
}


/*.modal-backdrop.in {
filter: alpha(opacity=80);
opacity: .8;
}*/

.modal-backdrop {
    background-color: #c8c3ba;
    opacity: 0.8 !important;
}

.modal-content {
    border-radius: 21px;
}

.modal-body .btn-ap-neg {
    margin: 0 5px;
}

.modal-body .botones {
    margin-top: 1.5em;
    margin-bottom: 2em;
}

.modal-body .botones a {
    color: #fff;
}

.modal-body .contenido-menor {
    width: 75%;
    margin: 3em auto 0 auto;
}


/* /MODAL FILTRO */

footer {
    font-size: .8em;
    background-color: #f7f7f7;
}

footer a,
footer a:visited {
    color: #333;
    text-decoration: none;
}

footer a:hover {
    color: #000;
    text-decoration: underline;
}

@media (max-width: 767px) {
    .contenedor {
        -webkit-box-align: end;
        -ms-flex-align: end;
        align-items: flex-end !important;
    }

    .contenedor .caption {
        width: 100%;
        height: auto;
        margin: 2em;
    }

    .contenedor .caption .titulo {
        font-size: 3em !important;
    }

    .logo-marca {
        right: calc(50% - 50px);
    }

    main {
        margin-bottom: 100px;
    }

    footer li {
        display: inline-block;
        margin: 10px;
    }

    .modal-body .titulo {
        font-size: 1.5em;
    }

    .modal-body p {
        font-size: .9em;
    }

    .modal-body .contenido-menor {
        width: 100%;
        margin: 3em auto 0 auto;
    }
}

@media (min-width: 768px) and (max-width: 1200px) {
    .contenedor .caption {
        width: 60%;
        height: auto;
    }
}

@media screen and (min-width:0\0) {
    .control-label {
        top: -1.5em !important;
    }

    input {
        color: #ffaab9 !important;
    }
}

@supports (-ms-ime-align:auto) {
    .control-label {
        top: -1.5em !important;
    }

    input {
        color: #ffaab9 !important;
    }
}
